
#ifndef MAIN_H
#define MAIN_H
#ifdef __cplusplus
extern "C" {
#endif


//---------------------------------------------------------------------------
//vȌ
enum {
	STATE_INIT  = 0x01,
	STATE_RESET,
	STATE_SELECT,
	STATE_SCRIPT,
};


typedef struct {
	u16 maxCnt;
	u16 num;
} ST_SELECT;

//---------------------------------------------------------------------------
EWRAM_CODE void StateInit(); 
EWRAM_CODE void StateReset();
EWRAM_CODE void StateSelect();
EWRAM_CODE void StateScript();


EWRAM_CODE void InitWS();
EWRAM_CODE void InitLib();
EWRAM_CODE void InitKey();
EWRAM_CODE void InitIRQ();
EWRAM_CODE void InitFont();
EWRAM_CODE void InitSprite();
EWRAM_CODE void InitGBFS();


EWRAM_CODE void SelectInit();
EWRAM_CODE void SelectProcMenu();
EWRAM_CODE void SelectDrawFileList();



EWRAM_CODE void SystemError(char* msg1, char* msg2);


#ifdef __cplusplus
}
#endif
#endif
